/*
 * Copyright (c) 2001 World Wide Web Consortium,
 * (Massachusetts Institute of Technology, Institut National de
 * Recherche en Informatique et en Automatique, Keio University). All
 * Rights Reserved. This program is distributed under the W3C's Software
 * Intellectual Property License. This program is distributed in the
 * hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.
 * See W3C License http://www.w3.org/Consortium/Legal/ for more details.
 */

package org.w3c.dom.contentModel;

/**
 * The primitive datatypes supported by base DOM CM implementation is: 
 * <code>string</code> type only. 
 * <p>See also the <a href='http://www.w3.org/TR/2001/WD-DOM-Level-3-CMLS-20010419'>Document Object Model (DOM) Level 3 Content Models and Load
and Save Specification</a>.
 */
public interface CMDataType {
    /**
     * code representing the <code>string</code> data type as defined in XML 
     * Schema Datatypes.
     */
    public static final short STRING_DATATYPE           = 1;
    /**
     * Returns one of the enumerated code representing the primitive data type.
     * @return code representing the primitive type of the attached data item.
     */
    public short getCMPrimitiveType();

}
